[Shipper Pro] Can not install (activate) Shipper

Hello Dear Support Staff
I'm trying to install (activate) shipper but getting "Failed: Unexpected response from WordPress." error message.

I need some reccomendations on how to solve the issue. thank you!

  • Neel Gajjar
    • Staff

    Hello Jose,
    how are you doing today?

    Sorry to hear that you're having an issue installing and activating Shipper Pro.
    I did try to install and activate on few of the test sites via WPMU DEV > Plugins. I wasn't able to replicate the issue and plugin got activated without any errors.

    There might be a temporary connection glitch at the time you were trying to install on your site.
    Please clear any server-side cache if you have and can you try again once??

    If the issue still exists can you please grant support access so that we can have a closer look and investigate the issue.
    You can grant access from WPMU DEV > Support > Support Access > Grant Access, or check this manual: https://premium.wpmudev.org/docs/getting-started/getting-support/#chapter-5

    Please let us know once you enable access so that we could get this sorted.

    Have a nice day. :slight_smile:

    Kind Regards,
    Neel Gajjar

  • Jose
    • Site Builder, Child of Zeus

    Thank you for the quick replt.

    I tried from Wordpress plugin page and it says that "Plugin could not be activated because it triggered a fatal error."

    Fatal error: require(): Failed opening required 'phar://aws-3.67.0.phar/aws-autoloader.php' (include_path='.:disappointed:opt/sp/php7.0/lib/php') in /srv/users/???????/apps/home/public/wp-content/plugins/shipper/lib/aws/sdk-v3.phar on line 4

    This helps you to analyze the issue?

    Thank you for your help.

    Jose

  • Neel Gajjar
    • Staff

    Hello Jose,

    Sorry for the inconvenience caused to you.
    It seems that there's a PHP fatal error around the AWS integration that we use.
    It could be due to the PHP version you're using can you please let me know what PHP version do you use?
    Can you please try switching PHP version and try again?
    We had a few similar issues reported by other members and our developers are made aware of it.
    This might get solved in further updates however I don't have any ETA on this.

    If the issue still exists can you please grant support access so that we can have a closer look and investigate the issue.
    You can grant access from WPMU DEV > Support > Support Access > Grant Access, or check this manual: https://premium.wpmudev.org/docs/getting-started/getting-support/#chapter-5

    Please let us know once you enable access so that we could get this sorted.

    Kind Regards,
    Neel Gajjar

  • Neel Gajjar
    • Staff

    Hello,

    Hope you are doing well.

    To which PHP version should I try switching?

    Try switching to PHP 7.1 OR PHP 7.3 first.
    Please also check whether phar PHP module is activated or not.

    If that doesn't work please try to switch to PHP 5.6 and check once.
    This should work.

    I'm looking forward to hearing from you and resolving this issue as soon as possible.

    Kind Regards,
    Neel Gajjar

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.